Page MenuHomePhabricator

Break Math/texvc out of MediaWiki core into extensions
Closed, ResolvedPublic

Description

Author: nickpj

Description:
Currently the math extension ships with MediaWiki core in the math/ directory. (I'm guessing this is because of historical easons?) However, this is unlike every other extension, which goes into extensions/.

Is there some particularly good reason why math needs to be available on every MediaWiki wiki? If not, could it be moved to extensions/ ?

Of course, I understand that this may be too hard to fix now, but the question might as well be asked.


Version: unspecified
Severity: enhancement

Details

Reference
bz14202

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:08 PM
bzimport added a project: Math.
bzimport set Reference to bz14202.
bzimport created this task.May 21 2008, 2:24 AM
brion added a comment.May 22 2008, 6:14 PM

It predates the extension systems, and we haven't got round to it.

brion added a comment.Jun 30 2009, 6:35 PM

With the updated preferences system this should be easier to do now...

brion added a comment.Apr 9 2011, 12:40 AM

Mostly done on trunk (1.18) in r85706.

There's a few bits that still need to be moved out: messages, constants, and some legacy code using them in the message files.

nickpj wrote:

Nice one! :-) Thank you Brion, it's great to have this consistency. And given there have been some follow-up commits for the few bits, it might be possible to close this bug now (but I'm too out of the loop at the moment to say for sure).

brion added a comment.Apr 15 2011, 5:21 PM

I think we actually still need to push out the creation & updating of the 'math' table from core, unless it snuck in while I wasn't looking. :)

brion added a comment.Apr 22 2011, 9:39 PM

...and math table's broken out in r86741. Resolving FIXED> :D

Change 104991 had a related patch set uploaded by Physikerwelt:
Remove call to deprecated ParserOptions::getMath

https://gerrit.wikimedia.org/r/104991

Change 104991 merged by Physikerwelt:
Remove call to deprecated ParserOptions::getMath

https://gerrit.wikimedia.org/r/104991

For numerous likely regressions of the last patch, see bug 60997.